{
  lib,
  pkgs,
  config,
  ...
}: {
  programs.wezterm = {
    enable = true;
    extraConfig = ''
      local wezterm = require 'wezterm'
      local config = {}

      config.color_scheme = 'Catppuccin Mocha'
      -- config.font = wezterm.font 'JetBrains Mono'
      -- config.font_size = 12.0
      config.hide_tab_bar_if_only_one_tab = true
      config.audible_bell = 'Disabled'
      config.enable_wayland = false -- Somehow only works for wayland if this is set to false

      config.window_close_confirmation = 'NeverPrompt'

      return config
    '';
  };

  home.sessionVariables.TERMINAL = lib.mkIf (config.terminal == "wezterm") "wezterm-start-here";

  # Otherwise wezterm does not start in directory of parent process
  home.packages = [
    (pkgs.writeShellScriptBin "wezterm-start-here" ''
      wezterm start --cwd "$PWD"
    '')
  ];
}
