{
  pkgs,
  config,
  ...
}: let
  ifTheyExist = groups: builtins.filter (group: builtins.hasAttr group config.users.groups) groups;
in {
  users.mutableUsers = false;
  users.users.wolfi = {
    description = "Wolfi";
    group = "wolfi";
    isNormalUser = true;
    shell = pkgs.fish;
    extraGroups = ifTheyExist [
      "networkmanager"
      "wheel"
      "audio"
      "network"
      "video"
      "podman"
      "docker"
      "git"
      "gamemode"
    ];

    hashedPassword = "$y$j9T$ifzWjoZaRtPUOOfMYnbJ20$uFOO1EyDApL52vRUicZYgupaTA/a6sGNUj3imZ/lcb6";
    packages = [pkgs.home-manager];
  };
  users.groups.wolfi = {};
}
